summaryrefslogtreecommitdiffstats
path: root/assets/bin/check-truth
diff options
context:
space:
mode:
authorEUcancER <root@euer.krebsco.de>2011-12-07 13:02:54 +0100
committerEUcancER <root@euer.krebsco.de>2011-12-07 13:02:54 +0100
commitad8a9d03993ade25f84a6ce0a1be6d7303fedc65 (patch)
treebcbb20650c4e5f508218ac701ea3b6ca9bb1f3b9 /assets/bin/check-truth
parent172e6ba6bedf7eb362560e20359cee5aa840a366 (diff)
//assets/bin: add truth2json,check-truth
truth2json converts the truth-db into json, fails hard when the database is malformed check-truth takes a line to add to the truth from stdin and calls truth2json to check the sanity of the database-to-be
Diffstat (limited to 'assets/bin/check-truth')
-rwxr-xr-xassets/bin/check-truth11
1 files changed, 11 insertions, 0 deletions
diff --git a/assets/bin/check-truth b/assets/bin/check-truth
new file mode 100755
index 00000000..88246a54
--- /dev/null
+++ b/assets/bin/check-truth
@@ -0,0 +1,11 @@
+#!/bin/sh
+set -euf
+DB=${1-"/krebs/db/truth"}
+HERE=$(dirname $(readlink -f $0))
+read LINE
+if (cat $DB;echo $LINE) | $HERE/truth2json - >/dev/null ;then
+ echo "success"
+else
+ echo "you fail"
+fi
+